Bug 583300 - [abrt] crash in seamonkey-2.0.4-1.fc13: [signal 6 (SIGABRT) @bonobo_x_error_handler]
Summary: [abrt] crash in seamonkey-2.0.4-1.fc13: [signal 6 (SIGABRT) @bonobo_x_error_h...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: seamonkey
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:fbb2335a8bd192e3308dda6b986...
: 580491 580874 581314 581918 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-17 18:54 UTC by Giandomenico De Tullio
Modified: 2018-04-11 08:17 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 15:41:29 UTC


Attachments (Terms of Use)
File: backtrace (63.31 KB, text/plain)
2010-04-17 18:54 UTC, Giandomenico De Tullio
no flags Details

Description Giandomenico De Tullio 2010-04-17 18:54:14 UTC
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/seamonkey-2.0.4/seamonkey-bin
component: seamonkey
executable: /usr/lib/seamonkey-2.0.4/seamonkey-bin
global_uuid: fbb2335a8bd192e3308dda6b986615c3cd7cae78
kernel: 2.6.33.2-41.fc13.i686
package: seamonkey-2.0.4-1.fc13
rating: 4
reason: Process /usr/lib/seamonkey-2.0.4/seamonkey-bin was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

Comment 1 Giandomenico De Tullio 2010-04-17 18:54:16 UTC
Created attachment 407293 [details]
File: backtrace

Comment 2 David M. 2010-05-01 07:05:40 UTC
Package: seamonkey-2.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. File, Exit
2.
3.


Comment
-----
I was creating web pages before exiting the program.

Comment 3 David M. 2010-05-01 07:09:25 UTC
Package: seamonkey-2.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. File, Exit
2.
3.


Comment
-----
I was creating web pages before exiting the program.

Comment 4 P. A. López-Valencia 2010-05-18 13:27:35 UTC
Package: seamonkey-2.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Using a browser window, close by clicking on the close button in the window bar
2. Crash
3. Burn


Comment
-----
GDK problem?

Comment 5 Leszek Matok 2010-05-21 09:03:18 UTC
Package: seamonkey-2.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
It does that by itself every now and then, just disappears when I switch desktops or do whatever unrelated to any browsing...

Comment
-----
On F12, I had the same browser, same plugins, same tabs open for months (literally). On F13 it's just crashing all the time... I will make sure to send more such reports :)

The command line is irrelevant, it's just that it crashed before I clicked on a link on IRC, so it spawned new SM for me.

Comment 6 wmak.othermail 2010-05-27 09:07:48 UTC
Package: seamonkey-2.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
Web browsing with more than one tab


Comment
-----
Web browsing with more than one tab

Comment 7 Matěj Cepl 2010-05-28 15:52:33 UTC
#3  <signal handler called>
No symbol table info available.
#4  0x0082d416 in __kernel_vsyscall ()
No symbol table info available.
#5  0x00ed2eb1 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = <value optimized out>
        resultvar = <value optimized out>
        pid = 17002484
        selftid = 2921
#6  0x00ed478a in abort () at abort.c:92
        save_stage = 2
        act = warning: can't find linker symbol for virtual table for `(null)' value
{__sigaction_handler = {sa_handler = 
    0x96bb82 <_dl_lookup_symbol_x+274>, sa_sigaction = 
    0x96bb82 <_dl_lookup_symbol_x+274>}, sa_mask = {__val = {3220999012, 
    12384852, 3220999000, 9976380, 0, 3078814800, 5, 0, 1, 3078850576, 
    3077750848, 13419080, 2, 2625246208, 2624587660, 3077753516, 1024, 
    11704932, 0, 3220999072, 3220999000, 3220999012, 0, 2625246208, 
    3078850576, 12644279, 12421048, 3076857944, 12816683, 13419080, 13419080, 
    2625246208}}, sa_flags = -1073968184, sa_restorer = 
    0xc10846 <IA__g_log_default_handler+598>}
        sigs = {__val = {32, 0 <repeats 31 times>}}
#7  0x00c11096 in IA__g_logv (log_domain=0x1d3574 "Gdk", 
    log_level=<value optimized out>, format=0x1f0f53 "%s", args1=
    0xbffc908c "") at gmessages.c:549
        depth = 1
        domain = <value optimized out>
        data = <value optimized out>
        log_func = <value optimized out>
        domain_fatal_mask = 5
        masquerade_fatal = <value optimized out>
        test_level = <value optimized out>
        was_fatal = 0
        was_recursion = 0
        i = <value optimized out>
#8  0x00c110c7 in IA__g_log (log_domain=0x1d3574 "Gdk", log_level=
    G_LOG_LEVEL_ERROR, format=0x1f0f53 "%s") at gmessages.c:569
        args = <value optimized out>
#9  0x001bbe53 in gdk_x_error (display=0xb764c000, error=0xbffc917c)
    at gdkmain-x11.c:466
        buf = 
    "RenderBadPicture (invalid Picture parameter)", '\000' <repeats 19 times>
        msg = <value optimized out>
#10 0x069d4a34 in bonobo_x_error_handler (display=0xb764c000, error=

Comment 8 Matěj Cepl 2010-05-28 15:54:46 UTC
*** Bug 581918 has been marked as a duplicate of this bug. ***

Comment 9 Matěj Cepl 2010-05-28 15:55:10 UTC
*** Bug 581314 has been marked as a duplicate of this bug. ***

Comment 10 Matěj Cepl 2010-05-28 15:55:57 UTC
*** Bug 580874 has been marked as a duplicate of this bug. ***

Comment 11 Matěj Cepl 2010-05-28 15:56:44 UTC
*** Bug 580491 has been marked as a duplicate of this bug. ***

Comment 12 Matěj Cepl 2010-05-28 16:03:40 UTC
Reporter, could you please describe us what you have done to get to this point, and how we can reproduce this issue here? Is there anything special about your system, network, configuration which we need to replicate here in order to reproduce your problem please?

Comment 13 Andrey V. Henneberg 2010-05-28 16:15:17 UTC
Package: seamonkey-2.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open 2 or 3 sites possible with flash
2. Whaits some time untile SeaMonkey crashes
3.


Comment
-----
I cannot determine exactly how to reproduce the problem - Seamonkey crashes on very different sites But it seems e-mail client not crashes when browser not started.

Comment 14 Andrey V. Henneberg 2010-05-30 12:36:33 UTC
Package: seamonkey-2.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
As I found SeaMonkey often crashes after a short time after posting a message on a forum or in a LiveJournal blog.

Comment 15 Younjoo Koak 2010-06-02 11:20:41 UTC
Package: seamonkey-2.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Open any URL containing hyperlinks (e.g. http://www.heise.de/newsticker/)
2. Open a hyperlink in a new tab with middle mouse button
3. Close that tab with Ctrl+W
4. Repeat steps 2 and 3 until browser crashes (happens after 10 to 20 repetitions)

Comment 16 David M. 2010-06-11 23:56:55 UTC
I initially reported this bug from my netbook, an Inspiron mini 9 with a 1.6GHz Intel Atom processor.


In my experience Seamonkey seems to crash much more frequently if you are using a computer with a slow processor.


-Dave

Comment 17 Andrey V. Henneberg 2010-06-12 06:43:32 UTC
Comment to Younjoo Koak's message.

Seamonkey crashes faster if open 3 or greater tabs with heavy pages and close them consecutively. Or if open pages by clicking a cross reference in mail agent. For example from a forum notification.

Comment 18 Justin O'Brien 2010-06-13 16:28:04 UTC
Package: seamonkey-2.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. close without saving tabs
2.
3.

Comment 19 Jeff lats 2010-06-14 22:07:59 UTC
Package: seamonkey-2.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


Comment
-----
In a session with multiple tabs open I clicked file/quit, selected save and as little while later got this screen

Comment 20 Chad Feller 2010-06-16 17:01:07 UTC
Package: seamonkey-2.0.4-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open two browser tabs
2. close one tab
3. close seamonkey

Comment 21 Younjoo Koak 2010-06-22 08:46:23 UTC
Could someone please set both the severity and priority of this but to "high"? I need SeaMonkey at work and it's annoying and unacceptable that it crashes so often. While I could switch to Firefox it lacks e-mail integration.

Comment 22 wmak.othermail 2010-06-22 09:12:41 UTC
(In reply to comment #12)
> Reporter, could you please describe us what you have done to get to this point,
> and how we can reproduce this issue here? Is there anything special about your
> system, network, configuration which we need to replicate here in order to
> reproduce your problem please?    

The scary thing is that there is nothing special. I'm using Seamonkey alongside Firefox, and Seamonkey keeps dying with no warning. The only common point is that it only happens with more than one tab. 

Agree please switch the severity to high.

Comment 23 Leszek Matok 2010-06-22 09:24:55 UTC
It does so only after _closing_ a tab (not immediately, though - rather like 5-10 seconds later). Seems like the tab has to have an open web page to be a crash candidate (I couldn't reproduce it with only ^T ^W).

It also seems not to do this if I don't switch viewports/desktops away from the one which is dedicated to SeaMonkey (I'm not using Compiz), or do it less often...

Guys, just vote on this bug :)

Comment 24 Andrey V. Henneberg 2010-06-22 09:34:17 UTC
(In reply to comment #23)
> It does so only after _closing_ a tab (not immediately, though - rather like
> 5-10 seconds later). Seems like the tab has to have an open web page to be a
> crash candidate (I couldn't reproduce it with only ^T ^W).
> 
> It also seems not to do this if I don't switch viewports/desktops away from the
> one which is dedicated to SeaMonkey (I'm not using Compiz), or do it less
> often...
> 
> Guys, just vote on this bug :)    

If you will not just open tabs but load a heavy pages and close 2 or 3 tabs consequently you can reproduce the bug.

Comment 25 Leszek Matok 2010-06-25 23:14:40 UTC
Original reporter looks AFK, but lots of people have reported same behavior and explained the same two methods to crash (close SeaMonkey or close a tab after using lots of tabs). Hence I think it doesn't need the "needinfo" and having it most probably hides our bug from maintainer's view. I'm clearing it :)

ADDITIONAL INFO: seamonkey-2.0.5-1.fc13.i686 didn't fix this.

Comment 26 Andrey V. Henneberg 2010-07-20 08:56:05 UTC
I asked in the russian Fedora jabber conferece about this bug and got a link to a bug in Debian bugzilla: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=551852

As far as I understand it's the same bug or very similar. Am I right?

Also I reproduce the bug on clear (new) profile (I created a separated user for tests) without any plugins - the bug is reproduced stable but SEamonkey crashes not so fast as if the browser is more loaded.

Comment 27 Leszek Matok 2010-07-20 09:36:08 UTC
https://bugzilla.mozilla.org/show_bug.cgi?id=522635

I've tried adding "External Bug", but it's only available to the reporter, unfortunately.

Maintainers, in the bug report I've pasted, there's already a comment from May 5th that Fedora 13 will be affected. Also, there's a big backport patch which maybe could make its way into Fedora, at least updates-testing... Can we at least test it?

Comment 28 Andrey V. Henneberg 2010-07-23 18:00:27 UTC
The bug is present in version 2.0.6: https://bugzilla.redhat.com/show_bug.cgi?id=617679

Comment 29 Leszek Matok 2010-09-02 05:55:28 UTC
As mentioned in bug 617679, rebuilding with --disable-system-cairo fixes the issue to.

Comment 30 Tim Nelson 2010-11-12 03:03:10 UTC
Fedora maintainer: Why is this still marked NEEDSINFO?  No-one seems to know why.

Comment 31 Bug Zapper 2011-06-02 15:10:50 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 32 Bug Zapper 2011-06-27 15:41:29 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.